Class | Bio::Hinv::IdSearch
In: | lib/bio/io/hinv.rb
Parent: | KeywordSearch

serv = Bio::Hinv::IdSearch.new serv.query("query" => "HIT00002218*", "id_type" => "H-INVITATIONAL-ID", "start" => 1, "end" => 100) puts serv.result puts serv.size puts serv.start puts serv.end

### Methods

new query

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 425
    425:       def initialize
    426:         @url = BASE_URI + "id_search.php"
    427:       end

### Public Instance methods

query(hash = {})

[Source]

         # File lib/bio/io/hinv.rb, line 429
    429:       def query(hash = {})
    430:         default = {
    431:           "id_type" => "H-INVITATIONAL-ID",
    432:           "start" => 1,
    433:           "end" => 100
    434:         }
    435:         options = default.update(hash)
    436:         super(options)
    437:       end

[Validate]